I=(S=Uno.Float4 = function(){
    this.X = 0.0;
    this.Y = 0.0;
    this.Z = 0.0;
    this.W = 0.0;
}).prototype;

I.ToString = function()
{
    return "Uno.Float4";
};

I.GetHashCode = function()
{
    return 0;
};

S.$0 = function(xyzw) {
    var $this = new Uno.Float4;
    $this.X = $this.Y = $this.Z = $this.W = xyzw;
    return $this;
};

S.$1 = function(x, y, z, w) {
    var $this = new Uno.Float4;
    $this.X = x;
    $this.Y = y;
    $this.Z = z;
    $this.W = w;
    return $this;
};

S.$2 = function(xy, z, w) {
    var $this = new Uno.Float4;
    $this.X = xy.X;
    $this.Y = xy.Y;
    $this.Z = z;
    $this.W = w;
    return $this;
};

S.$3 = function(x, yz, w) {
    var $this = new Uno.Float4;
    $this.X = x;
    $this.Y = yz.X;
    $this.Z = yz.Y;
    $this.W = w;
    return $this;
};

S.$4 = function(x, y, zw) {
    var $this = new Uno.Float4;
    $this.X = x;
    $this.Y = y;
    $this.Z = zw.X;
    $this.W = zw.Y;
    return $this;
};

S.$5 = function(xy, zw) {
    var $this = new Uno.Float4;
    $this.X = xy.X;
    $this.Y = xy.Y;
    $this.Z = zw.X;
    $this.W = zw.Y;
    return $this;
};

S.$6 = function(xyz, w) {
    var $this = new Uno.Float4;
    $this.X = xyz.X;
    $this.Y = xyz.Y;
    $this.Z = xyz.Z;
    $this.W = w;
    return $this;
};

S.$7 = function(x, yzw) {
    var $this = new Uno.Float4;
    $this.X = x;
    $this.Y = yzw.X;
    $this.Z = yzw.Y;
    $this.W = yzw.Z;
    return $this;
};
